#!/bin/bash
for file in *_viirs_*.tif; do

  sat=$(echo $file | cut -d"_" -f1)
  typ=$(echo $file | cut -d"_" -f3)

  case $typ in

    "adaptive")
    prod=${sat}"-viirs-adaptive-dnb"
    date=$(echo $file | cut -d"_" -f5)
    time=$(echo $file | cut -d"_" -f6)
    time=$(echo $time | cut -c1-2)"0000"
    ;;

    "hncc")
    prod=${sat}"-viirs-hncc-dnb"
    date=$(echo $file | cut -d"_" -f5)
    time=$(echo $file | cut -d"_" -f6)
    time=$(echo $time | cut -c1-2)"0000"
    ;;

    "true")
    prod=${sat}"-viirs-true-color"
    date=$(echo $file | cut -d"_" -f5)
    time=$(echo $file | cut -d"_" -f6)
    time=$(echo $time | cut -c1-2)"0000"
    ;;

    "i05")
    prod=${sat}"-viirs-i05"
    date=$(echo $file | cut -d"_" -f4)
    time=$(echo $file | cut -d"_" -f5)
    time=$(echo $time | cut -c1-2)"0000"
    ;;

    "i02")
    prod=${sat}"-viirs-i02"
    date=$(echo $file | cut -d"_" -f4)
    time=$(echo $file | cut -d"_" -f5)
    time=$(echo $time | cut -c1-2)"0000"
    ;;

    *)
    echo "File type not recognized: "$file
    ;;

    esac

    re_upload.sh -p $file $prod $date $time

done
